OID reference

rlPhDPortsIfIndexName

1.3.6.1.4.1.89.53.3.1.2

Description

The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on cu…

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.53.3.1 (rlPhDPortsEntry, rlPhdPortsEntry)
Node code
2
Node names
  • rlPhDPortsIfIndexName
  • rlPhdPortsIfIndexName
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.53.3.1.2
URN notation
urn:oid:1.3.6.1.4.1.89.53.3.1.2
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 53 3 1 2}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhDPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhDPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhdPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhdPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhDPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhDPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhdPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhdPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhDPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhDPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhdPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhDPortsTable(3) rlPhdPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhDPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhDPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhdPortsEntry(1) rlPhDPortsIfIndexName(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rlPhysicalDescription(53) rlPhdPortsTable(3) rlPhdPortsEntry(1) rlPhdPortsIfIndexName(2)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/89/53/3/1/2
  • /ISO/Identified-Organization/6/1/4/1/89/53/3/1/2
  • /ISO/3/6/1/4/1/89/53/3/1/2
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhDPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhDPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhdPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhdPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhDPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhDPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhdPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhdPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhDPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhDPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhdPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhDPortsTable/rlPhdPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhDPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhDPortsEntry/rlPhdPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhdPortsEntry/rlPhDPortsIfIndexName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rlPhysicalDescription/rlPhdPortsTable/rlPhdPortsEntry/rlPhdPortsIfIndexName
  • Additional combinations skipped.

SNMP properties

Value type
DisplayString
Maximum access defined by MIB
read-only
Status in MIB
mandatory, current

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — D-Link official switch MIBs

Value type
DisplayString
Maximum access defined by MIB
read-only
Status in MIB
mandatory
Allowed size (octets)
1–20

Variant 2 — Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), NETGEAR official product and EOL MIB downloads, and others

Value type
DisplayString
Maximum access defined by MIB
read-only
Status in MIB
current
Allowed size (octets)
1–20

Using this OID with SNMP

At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.

In RADLAN-MIB, the row index rlPhDPortsIfIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.89.53.3.1.2.<rlPhDPortsIfIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.

Published row index variants: rlPhDPortsIfIndex; rlPhdPortsIfIndex.

snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.53.3.1.2

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Product context

Documented MIB packages

The NETGEAR catalogue lists MIB files containing this definition with these product and release labels:

These are catalogue release labels, not necessarily MIB revisions. A MIB definition does not establish that a device implements it or permits access.

Available source records contain 3 distinct definitions; some records may not include a definition.

Show 3 published definitions

rlPhDPortsIfIndexName · mandatory

rlPhDPortsIfIndexName OBJECT-TYPE
    SYNTAX  DisplayString(SIZE(1..20))
    ACCESS  read-only
    STATUS  mandatory
    DESCRIPTION
       "The L2 interface number associated with this port, in string format
        based on the overall hardware architecture of the device (i.e., for
        monolithic devices just numbers, devices composed of modules (boards,
        cards) or stackable devices composed of monolithic units in form
        <module /stack unit number> - <port number on current module /stack
        unit number>, stackable devices in which each unit is composed of
        modules
             <stack unit number> - <module number> - <port number>"
    ::= { rlPhDPortsEntry 2 }

rlPhdPortsIfIndexName · current

rlPhdPortsIfIndexName OBJECT-TYPE
    SYNTAX      DisplayString(SIZE(1..20))
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
       "The L2 interface number associated with this port, in string format
        based on the overall hardware architecture of the device (i.e., for
        monolithic devices just numbers, devices composed of modules (boards,
        cards) or stackable devices composed of monolithic units in form
        <module /stack unit number> - <port number on current module /stack
        unit number>, stackable devices in which each unit is composed of
        modules
             <stack unit number> - <module number> - <port number>"
    ::= { rlPhdPortsEntry 2 }

rlPhdPortsIfIndexName · current

rlPhdPortsIfIndexName OBJECT-TYPE
    SYNTAX      DisplayString(SIZE(1..20))
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
       "The L2 interface number associated with this port, in string format
        based on the overall hardware architecture of the device (i.e., for
        monolithic devices just numbers, devices composed of modules (boards,
        cards) or stackable devices composed of monolithic units in form
        <module /stack unit number> - <port number on current module /stack
        unit number>, stackable devices in which each unit is composed of
        modules
             <stack unit number> - <module number> - <port number>"
    ::= { rlPhdPortsEntry 2 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on current module /stack unit number>, stackable devices in which each unit is composed of modules <stack unit number> - <module number> - <port number>

Sources for this description

Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Dell MIB copies (LibreNMS/Observium Community)D-Link official switch MIBsNetdisco MIB archive copiesNETGEAR official product and EOL MIB downloads

See 2 matching source records

Evidence

Source records

2 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others2 records · 9 sources

Description 1

rlPhDPortsIfIndexName · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: rlPhDPortsIfIndexName

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rlPhDPortsIfIndexName",
    "OBJECT-TYPE",
    "SYNTAX",
    "DisplayString",
    "(",
    "SIZE",
    "(",
    "1",
    ".",
    ".",
    "20",
    ")",
    ")",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on current module /stack unit number>, stackable devices in which each unit is composed of modules <stack unit number> - <module number> - <port number>\"",
    "::=",
    "{",
    "rlPhDPortsEntry",
    "2",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "DisplayString",
      [
        "octetStringSubType",
        [
          [
            1,
            20
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on current module /stack unit number>, stackable devices in which each unit is composed of modules <stack unit number> - <module number> - <port number>"
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

rlPhdPortsIfIndexName · currentMultiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others8 sources

Status in source: current.

Names: rlPhdPortsIfIndexName

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rlPhdPortsIfIndexName",
    "OBJECT-TYPE",
    "SYNTAX",
    "DisplayString",
    "(",
    "SIZE",
    "(",
    "1",
    ".",
    ".",
    "20",
    ")",
    ")",
    "MAX-ACCESS",
    "read-only",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on current module /stack unit number>, stackable devices in which each unit is composed of modules <stack unit number> - <module number> - <port number>\"",
    "::=",
    "{",
    "rlPhdPortsEntry",
    "2",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "DisplayString",
      [
        "octetStringSubType",
        [
          [
            1,
            20
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "The L2 interface number associated with this port, in string format based on the overall hardware architecture of the device (i.e., for monolithic devices just numbers, devices composed of modules (boards, cards) or stackable devices composed of monolithic units in form <module /stack unit number> - <port number on current module /stack unit number>, stackable devices in which each unit is composed of modules <stack unit number> - <module number> - <port number>"
    ],
    null,
    null,
    null,
    null
  ]
}

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (8)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.53.3.1.1 rlPhDPortsIfIndex, rlPhdPortsIfIndex00
1.3.6.1.4.1.89.53.3.1.3 rlPhDPortsMediaType, rlPhdPortsMediaType00
1.3.6.1.4.1.89.53.3.1.4 rlPhDPortsStackUnit, rlPhdPortsStackUnit00
1.3.6.1.4.1.89.53.3.1.5 rlPhDPortsModuleNumber, rlPhdPortsModuleNumber00
1.3.6.1.4.1.89.53.3.1.6 rlPhDPortsRow, rlPhdPortsRow00
1.3.6.1.4.1.89.53.3.1.7 rlPhDPortsColumn, rlPhdPortsColumn00
1.3.6.1.4.1.89.53.3.1.8 rlPhDConnectorType, rlPhdConnectorType00
1.3.6.1.4.1.89.53.3.1.9 rlPhDPortHaul, rlPhdPortHaul00